//------------------------------ $Keywords ----------------------------------
// GPGee - GNU Privacy Guard Explorer Extension
// TProgressForm.cpp - Generic progress bar form
// Copyright 2005, Kurt Fitzner <kfitzner@excelcia.org>
//---------------------------------------------------------------------------
// This file is part of GPGee.
//
// GPGee is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// GPGee is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
// VCS: $Version: 1 $ $Revision: 1 $
/*
$History: **** V 1.0 by kfitzner ****
$History: * tprogressform.cpp - 2005-05-17 1:44:23 AM - 3006 Bytes
$History: * tprogressform.dfm - 2005-05-17 12:26:36 AM - 1434 Bytes
$History: * tprogressform.h - 2005-05-17 12:32:20 AM - 1001 Bytes
$History: * Addition of progress dialog
$History: **** Latest ** V 1.1 by kfitzner ** 2005-05-17 2:16:49 AM ****
$History: * Add constraints so won't go over 100%
*/
//----------------------------  $NoKeywords ---------------------------------


//---------------------------------------------------------------------------
// File Notes:
//---------------------------------------------------------------------------
// 16 May 2005 - Kurt Fitzner <kfitzner@excelcia.org>
//
// A small generic progress bar form.  Simple is good.
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "TProgressForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TProgressForm *ProgressForm;
//---------------------------------------------------------------------------
__fastcall TProgressForm::TProgressForm(TComponent* Owner, AnsiString Message): TForm(Owner)
{
  lblMessage->Caption = Message;
  ProgressBar->Position = 0;
  lblPercent->Caption = "0%";
  lblCount->Caption = "0/0";
}  // __fastcall TProgressForm::TProgressForm(TComponent* Owner): TForm(Owner)
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
void __fastcall TProgressForm::SetPosition(int Count, int Max)
{
  ProgressBar->Max = Max;
  ProgressBar->Position = Count;
  lblCount->Caption = String(Count) + "/" + String(max(Max,Count));
  lblPercent->Caption = String(min(Count * 100 / Max,100)) + "%";
}  // void __fastcall TProgressForm::SetPosition(int Count, int Max)
//---------------------------------------------------------------------------



